IF EXISTS (SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'MOVCAIXA_VIEW'  and
            type = 'V'                  and
            u.uid = o.uid               and
            u.name = USER)
   DROP VIEW MOVCAIXA_VIEW;
GO

CREATE VIEW MOVCAIXA_VIEW
(CDFILIAL,CDCAIXA,DTMOVIMCAIXA,VRMOVIVEND,VRMOVIVEOUT,IDTIPOMOVIVE,IDTIPORECE,
 NMTIPOMOVIVE,NMTIPORECE) AS
SELECT
   MO.CDFILIAL,MO.CDCAIXA,MO.DTMOVIMCAIXA,
   SUM(VRMOVIVEND ) AS VRMOVIVEND,
   SUM(VRMOVIVEOUT) AS VRMOVIVEOUT,
   MO.IDTIPOMOVIVE,TR.IDTIPORECE,
   CASE IDTIPOMOVIVE
     WHEN 'A' THEN 'ABERTURA'
     WHEN 'E' THEN 'ENTRADA'
     WHEN 'S' THEN 'SAIDA'
     WHEN 'C' THEN 'CANCELADO'
     WHEN 'T' THEN 'CONTA CLIENTE'
     WHEN 'G' THEN 'SANGRIA'
     WHEN 'U' THEN 'SUPRIMENTO'
     ELSE 'INDEFINIDO'
   END AS NMTIPOMOVIVE,

   CASE TR.IDTIPORECE
     WHEN '1' THEN 'Carto de Crdito'
     WHEN '2' THEN 'Carto de Dbito'
     WHEN '3' THEN 'Cheque'
     WHEN '4' THEN 'Dinheiro'
     WHEN '5' THEN 'Ticket'
     WHEN '6' THEN 'Outras Moedas'
     WHEN '7' THEN 'Contra Vale'
     WHEN '8' THEN 'Convnio'
     WHEN '9' THEN 'Crdito Pessoal'
     WHEN 'A' THEN 'Dbito Consumidor'
     WHEN 'B' THEN 'Devoluo'
     ELSE 'Indefinido'
   END AS NMTIPORECE
FROM
   TIPORECE TR,
   MOVCAIXA MO LEFT JOIN VENDA VE
               ON MO.CDFILIAL     = VE.CDFILIAL   AND
                  MO.CDCAIXA      = VE.CDCAIXA    AND
                  MO.NRSEQVENDA   = VE.NRSEQVENDA
WHERE
   MO.CDTIPORECE = TR.CDTIPORECE
GROUP BY MO.CDFILIAL,MO.CDCAIXA,MO.DTMOVIMCAIXA,MO.IDTIPOMOVIVE,TR.IDTIPORECE
GO